Skip to main content

Create Product Supplier Inventory

Legacy Documentation

You are viewing legacy documentation. These APIs are maintained for partners with existing implementations. New projects should use v2.

View the current GraphQL API Reference → | View the current REST API Reference →

POST 

/products/:lookupkey/:key/inventory/supplier

This endpoint allows creating supplier inventory data for a product based on a lookup key.

Available fields​

NameRequired
quantity (integer)yes
supplier (string)no
Default value is product supplier
warehouseId (integer)no
Default value is 0
company (InventoryCompanyUsergroupResource)no
usergroup
(InventoryCompanyUsergroupResource)
no
location (string)no
Default value is empty
costPrice (integer)no
Default value is product costprice
nextDeliveryDate (date)no
notes (string)no

dateModified is always updated with the current date and time.

On creating a record, inventory type supplier is matching the product on the lookup key. If the product is found, inventory record will be created.

If an inventory record is found, matching on: supplier, supplierCode, warehouseId and location, error is thrown that duplicate record can't be created.

InventoryCompanyUsergroup Resource​

A InventoryCompanyUsergroup resource is a JSON object used for identifying a company or usergroup when creating company/ usergroup specific stock record. It can be identified by either an id or source/ sourceId.

{
"id": 56987
}
   "sourceId": "1",
"source": "TECHDATA",
"language": "NL"
}

Request​

Responses​

Create Product Supplier Inventory - 201 / Create Product Supplier Inventory for a usergroup - 201

Response Headers
    Connection
    Content-Length
    Date
    Keep-Alive
    Return-Format